Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.slice.jdbc
Class DistributedConnection

    java.lang.Object
      org.apache.openjpa.slice.jdbc.DistributedConnection

All Implemented Interfaces:
  Connection, Wrapper

    public class DistributedConnection

extends Object
implements Connection

A virtual connection that contains multiple physical connections.

Author:
  Pinaki Poddar

Field Summary

Fields inherited from interface java.sql.Connection
`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

Constructor Summary
`DistributedConnection(List<Connection> connections)`

Method Summary
`void` | `abort(Executor executor)`
`void` | `clearWarnings()`
`void` | `close()`
`void` | `commit()`
`boolean` | `contains(Connection c)`
`Array` | `createArrayOf(String arg0, Object[] arg1)`
`Blob` | `createBlob()`
`Clob` | `createClob()`
`NClob` | `createNClob()`
`SQLXML` | `createSQLXML()`
`Statement` | `createStatement()`
`Statement` | `createStatement(int arg0, int arg1)`
`Statement` | `createStatement(int arg0, int arg1, int arg2)`
`Struct` | `createStruct(String arg0, Object[] arg1)`
`boolean` | `getAutoCommit()`
`String` | `getCatalog()`
`Properties` | `getClientInfo()`
`String` | `getClientInfo(String arg0)`
`int` | `getHoldability()`
`DatabaseMetaData` | `getMetaData()`
`int` | `getNetworkTimeout()`
`String` | `getSchema()`
`int` | `getTransactionIsolation()`
`Map<String,Class<?>>` | `getTypeMap()`
`SQLWarning` | `getWarnings()`
`boolean` | `isClosed()`
`boolean` | `isReadOnly()`
`boolean` | `isValid(int arg0)`
`boolean` | `isWrapperFor(Class<?> iface)`
`String` | `nativeSQL(String arg0)`
`CallableStatement` | `prepareCall(String arg0)`
`CallableStatement` | `prepareCall(String arg0, int arg1, int arg2)`
`CallableStatement` | `prepareCall(String arg0, int arg1, int arg2, int arg3)`
`PreparedStatement` | `prepareStatement(String arg0)`
`PreparedStatement` | `prepareStatement(String arg0, int arg1)`
`PreparedStatement` | `prepareStatement(String arg0, int[] arg1)`
`PreparedStatement` | `prepareStatement(String arg0, int arg1, int arg2)`
`PreparedStatement` | `prepareStatement(String arg0, int arg1, int arg2, int arg3)`
`PreparedStatement` | `prepareStatement(String arg0, String[] arg1)`
`void` | `releaseSavepoint(Savepoint arg0)`
`void` | `rollback()`
`void` | `rollback(Savepoint arg0)`
`void` | `setAutoCommit(boolean arg0)`
`void` | `setCatalog(String arg0)`
`void` | `setClientInfo(Properties arg0)`
`void` | `setClientInfo(String arg0, String arg1)`
`void` | `setHoldability(int arg0)`
`void` | `setNetworkTimeout(Executor executor, int milliseconds)`
`void` | `setReadOnly(boolean arg0)`
`Savepoint` | `setSavepoint()`
`Savepoint` | `setSavepoint(String arg0)`
`void` | `setSchema(String schema)`
`void` | `setTransactionIsolation(int arg0)`
`void` | `setTypeMap(Map<String,Class<?>> arg0)`
`
`<T> T`
` | `unwrap(Class<T> iface)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistributedConnection

    public DistributedConnection(List<Connection> connections)

Method Detail

### contains

    public boolean contains(Connection c)

### clearWarnings

    public void clearWarnings()
                       throws SQLException

  Specified by:
    `clearWarnings` in interface `Connection`
  Throws:
    `SQLException`

### close

    public void close()
               throws SQLException

  Specified by:
    `close` in interface `Connection`
  Throws:
    `SQLException`

### commit

    public void commit()
                throws SQLException

  Specified by:
    `commit` in interface `Connection`
  Throws:
    `SQLException`

### createStatement

    public Statement createStatement()
                              throws SQLException

  Specified by:
    `createStatement` in interface `Connection`
  Throws:
    `SQLException`

### createStatement

    public Statement createStatement(int arg0,
                                     int arg1)
                              throws SQLException

  Specified by:
    `createStatement` in interface `Connection`
  Throws:
    `SQLException`

### createStatement

    public Statement createStatement(int arg0,
                                     int arg1,
                                     int arg2)
                              throws SQLException

  Specified by:
    `createStatement` in interface `Connection`
  Throws:
    `SQLException`

### getAutoCommit

    public boolean getAutoCommit()
                          throws SQLException

  Specified by:
    `getAutoCommit` in interface `Connection`
  Throws:
    `SQLException`

### getCatalog

    public String getCatalog()
                      throws SQLException

  Specified by:
    `getCatalog` in interface `Connection`
  Throws:
    `SQLException`

### getHoldability

    public int getHoldability()
                       throws SQLException

  Specified by:
    `getHoldability` in interface `Connection`
  Throws:
    `SQLException`

### getMetaData

    public DatabaseMetaData getMetaData()
                                 throws SQLException

  Specified by:
    `getMetaData` in interface `Connection`
  Throws:
    `SQLException`

### getTransactionIsolation

    public int getTransactionIsolation()
                                throws SQLException

  Specified by:
    `getTransactionIsolation` in interface `Connection`
  Throws:
    `SQLException`

### getTypeMap

    public Map<String,Class<?>> getTypeMap()
                                    throws SQLException

  Specified by:
    `getTypeMap` in interface `Connection`
  Throws:
    `SQLException`

### getWarnings

    public SQLWarning getWarnings()
                           throws SQLException

  Specified by:
    `getWarnings` in interface `Connection`
  Throws:
    `SQLException`

### isClosed

    public boolean isClosed()
                     throws SQLException

  Specified by:
    `isClosed` in interface `Connection`
  Throws:
    `SQLException`

### isReadOnly

    public boolean isReadOnly()
                       throws SQLException

  Specified by:
    `isReadOnly` in interface `Connection`
  Throws:
    `SQLException`

### nativeSQL

    public String nativeSQL(String arg0)
                     throws SQLException

  Specified by:
    `nativeSQL` in interface `Connection`
  Throws:
    `SQLException`

### prepareCall

    public CallableStatement prepareCall(String arg0)
                                  throws SQLException

  Specified by:
    `prepareCall` in interface `Connection`
  Throws:
    `SQLException`

### prepareCall

    public CallableStatement prepareCall(String arg0,
                                         int arg1,
                                         int arg2)
                                  throws SQLException

  Specified by:
    `prepareCall` in interface `Connection`
  Throws:
    `SQLException`

### prepareCall

    public CallableStatement prepareCall(String arg0,
                                         int arg1,
                                         int arg2,
                                         int arg3)
                                  throws SQLException

  Specified by:
    `prepareCall` in interface `Connection`
  Throws:
    `SQLException`

### prepareStatement

    public PreparedStatement prepareStatement(String arg0)
                                       throws SQLException

  Specified by:
    `prepareStatement` in interface `Connection`
  Throws:
    `SQLException`

### prepareStatement

    public PreparedStatement prepareStatement(String arg0,
                                              int arg1)
                                       throws SQLException

  Specified by:
    `prepareStatement` in interface `Connection`
  Throws:
    `SQLException`

### prepareStatement

    public PreparedStatement prepareStatement(String arg0,
                                              int[] arg1)
                                       throws SQLException

  Specified by:
    `prepareStatement` in interface `Connection`
  Throws:
    `SQLException`

### prepareStatement

    public PreparedStatement prepareStatement(String arg0,
                                              String[] arg1)
                                       throws SQLException

  Specified by:
    `prepareStatement` in interface `Connection`
  Throws:
    `SQLException`

### prepareStatement

    public PreparedStatement prepareStatement(String arg0,
                                              int arg1,
                                              int arg2)
                                       throws SQLException

  Specified by:
    `prepareStatement` in interface `Connection`
  Throws:
    `SQLException`

### prepareStatement

    public PreparedStatement prepareStatement(String arg0,
                                              int arg1,
                                              int arg2,
                                              int arg3)
                                       throws SQLException

  Specified by:
    `prepareStatement` in interface `Connection`
  Throws:
    `SQLException`

### releaseSavepoint

    public void releaseSavepoint(Savepoint arg0)
                          throws SQLException

  Specified by:
    `releaseSavepoint` in interface `Connection`
  Throws:
    `SQLException`

### rollback

    public void rollback()
                  throws SQLException

  Specified by:
    `rollback` in interface `Connection`
  Throws:
    `SQLException`

### rollback

    public void rollback(Savepoint arg0)
                  throws SQLException

  Specified by:
    `rollback` in interface `Connection`
  Throws:
    `SQLException`

### setAutoCommit

    public void setAutoCommit(boolean arg0)
                       throws SQLException

  Specified by:
    `setAutoCommit` in interface `Connection`
  Throws:
    `SQLException`

### setCatalog

    public void setCatalog(String arg0)
                    throws SQLException

  Specified by:
    `setCatalog` in interface `Connection`
  Throws:
    `SQLException`

### setHoldability

    public void setHoldability(int arg0)
                        throws SQLException

  Specified by:
    `setHoldability` in interface `Connection`
  Throws:
    `SQLException`

### setReadOnly

    public void setReadOnly(boolean arg0)
                     throws SQLException

  Specified by:
    `setReadOnly` in interface `Connection`
  Throws:
    `SQLException`

### setSavepoint

    public Savepoint setSavepoint()
                           throws SQLException

  Specified by:
    `setSavepoint` in interface `Connection`
  Throws:
    `SQLException`

### setSavepoint

    public Savepoint setSavepoint(String arg0)
                           throws SQLException

  Specified by:
    `setSavepoint` in interface `Connection`
  Throws:
    `SQLException`

### setTransactionIsolation

    public void setTransactionIsolation(int arg0)
                                 throws SQLException

  Specified by:
    `setTransactionIsolation` in interface `Connection`
  Throws:
    `SQLException`

### setTypeMap

    public void setTypeMap(Map<String,Class<?>> arg0)
                    throws SQLException

  Specified by:
    `setTypeMap` in interface `Connection`
  Throws:
    `SQLException`

### isWrapperFor

    public boolean isWrapperFor(Class<?> iface)
                         throws SQLException

  Specified by:
    `isWrapperFor` in interface `Wrapper`
  Throws:
    `SQLException`

### unwrap

    public <T> T unwrap(Class<T> iface)
             throws SQLException

  Specified by:
    `unwrap` in interface `Wrapper`
  Throws:
    `SQLException`

### createArrayOf

    public Array createArrayOf(String arg0,
                               Object[] arg1)
                        throws SQLException

  Specified by:
    `createArrayOf` in interface `Connection`
  Throws:
    `SQLException`

### createBlob

    public Blob createBlob()
                    throws SQLException

  Specified by:
    `createBlob` in interface `Connection`
  Throws:
    `SQLException`

### createClob

    public Clob createClob()
                    throws SQLException

  Specified by:
    `createClob` in interface `Connection`
  Throws:
    `SQLException`

### createNClob

    public NClob createNClob()
                      throws SQLException

  Specified by:
    `createNClob` in interface `Connection`
  Throws:
    `SQLException`

### createSQLXML

    public SQLXML createSQLXML()
                        throws SQLException

  Specified by:
    `createSQLXML` in interface `Connection`
  Throws:
    `SQLException`

### createStruct

    public Struct createStruct(String arg0,
                               Object[] arg1)
                        throws SQLException

  Specified by:
    `createStruct` in interface `Connection`
  Throws:
    `SQLException`

### getClientInfo

    public Properties getClientInfo()
                             throws SQLException

  Specified by:
    `getClientInfo` in interface `Connection`
  Throws:
    `SQLException`

### getClientInfo

    public String getClientInfo(String arg0)
                         throws SQLException

  Specified by:
    `getClientInfo` in interface `Connection`
  Throws:
    `SQLException`

### isValid

    public boolean isValid(int arg0)
                    throws SQLException

  Specified by:
    `isValid` in interface `Connection`
  Throws:
    `SQLException`

### setClientInfo

    public void setClientInfo(Properties arg0)
                       throws SQLClientInfoException

  Specified by:
    `setClientInfo` in interface `Connection`
  Throws:
    `SQLClientInfoException`

### setClientInfo

    public void setClientInfo(String arg0,
                              String arg1)
                       throws SQLClientInfoException

  Specified by:
    `setClientInfo` in interface `Connection`
  Throws:
    `SQLClientInfoException`

### abort

    public void abort(Executor executor)
               throws SQLException

  Throws:
    `SQLException`

### getNetworkTimeout

    public int getNetworkTimeout()
                          throws SQLException

  Throws:
    `SQLException`

### setNetworkTimeout

    public void setNetworkTimeout(Executor executor,
                                  int milliseconds)
                           throws SQLException

  Throws:
    `SQLException`

### getSchema

    public String getSchema()
                     throws SQLException

  Throws:
    `SQLException`

### setSchema

    public void setSchema(String schema)
                   throws SQLException

  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.